## org.biojavax
Interface RankedCrossRef

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleRankedCrossRef

    public interface RankedCrossRef

extends Comparable, Changeable

Allows cross-references to other databases to be ranked.

Since:
  1.5
Author:
  Richard Holland, gwaldon
See Also:
  `RankedCrossRefable`, `CrossRef`

Field Summary
`static ChangeType` `RANK`

Method Summary
`CrossRef` `getCrossRef()` Return the cross reference associated with this object.
`int` `getRank()` Return the rank associated with the cross reference.
`void` `setRank(int rank)` Set the rank associated with the cross reference.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### RANK

    static final ChangeType RANK

Method Detail

### getCrossRef

    CrossRef getCrossRef()

  Return the cross reference associated with this object.

  Returns:
    a crossref object.

### getRank

    int getRank()

  Return the rank associated with the cross reference.

  Returns:
    the rank.

### setRank

    void setRank(int rank)
                 throws ChangeVetoException

  Set the rank associated with the cross reference.

  Parameters:
    `rank` - the rank to use.
  Throws:
    `ChangeVetoException` - if the new rank is unacceptable.